%global pkg_name xmonad-contrib

%global common_summary Third party extensions for xmonad

%global common_description Third party tiling algorithms, configurations and scripts to xmonad,\
a tiling window manager for X.\
\
For an introduction to building, configuring and using xmonad\
extensions, see "XMonad.Doc". In particular:\
\
"XMonad.Doc.Configuring", a guide to configuring xmonad\
"XMonad.Doc.Extending", using the contributed extensions library\
"XMonad.Doc.Developing", introduction to xmonad internals and writing\
your own extensions.

%global ghc_pkg_deps ghc-X11-xft-devel, ghc-xmonad-devel

%bcond_without shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.9.1
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-rpm-macros >= 0.5.1
BuildRequires:  ghc-doc
BuildRequires:  ghc-prof
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%ghc_lib_package


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%cabal_configure --ghc -p
%cabal build
%cabal haddock


%install
%cabal_install
%cabal_pkg_conf

%ghc_gen_filelists


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Jan 15 2010 Jens Petersen <petersen@redhat.com> - 0.9.1-3
- utf8-string is part of ghc so drop ghc-utf8-string-devel dependency

* Wed Jan 13 2010 Jens Petersen <petersen@redhat.com> - 0.9.1-2
- rebuild against ghc-mtl package

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 0.9.1-1
- update to 0.9.1
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package and ghc_pkg_deps
- build shared library
- drop redundant buildroot and its install cleaning

* Tue Nov 17 2009 Jens Petersen <petersen@redhat.com> - 0.9-1
- update to 0.9
- use %%ghc_pkg_ver for dep requires versions

* Fri Aug 28 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 0.8.1-8
- added a few more docs

* Thu Aug 27 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 0.8.1-7
- removed bcond since xft will be in fedora soon

* Wed Aug 26 2009 Jens Petersen <petersen@redhat.com> - 0.8.1-6
- drop ghc-X11 deps since already in xmonad
- drop X lib deps since already in ghc-X11
- add ghc-utf8-string deps
- add bcond for X11-xft
- drop base package requires

* Wed Jun 17 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 0.8.1-5
- added -devel to some BRs

* Wed Jun 17 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 0.8.1-4
- updated to latest cabal2spec 0.16

* Mon Mar  2 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 0.8.1-3
- updated to new guidelines ala cabal2spec 0.12

* Tue Feb 24 2009 Yaakov M. Nemoy <ynemoy@fedoraproject.org> - 0.8.1-2
- updated package to new guidelines ala cabal2spec 0.7

* Wed Jan 21 2009 ynemoy <ynemoy@fedoraproject.org> - 0.8.1-1
- initial packaging for Fedora created by cabal2spec
